Bug 1123592 - Please Branch arts for EPEL 7
Summary: Please Branch arts for EPEL 7
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: arts
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 01:19 UTC by Robert Lightfoot
Modified: 2014-07-29 09:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-29 09:39:33 UTC


Attachments (Terms of Use)
Sample Build from fc20 sources (976.57 KB, application/x-rpm)
2014-07-27 01:19 UTC, Robert Lightfoot
no flags Details

Description Robert Lightfoot 2014-07-27 01:19:11 UTC
Created attachment 921266 [details]
Sample Build from fc20 sources

Please Branch arts for EPEL 7

Comment 1 Ngo Than 2014-07-29 08:40:58 UTC
It's old kde 3, is it worth adding arts in epel7?

Comment 2 Robert Lightfoot 2014-07-29 09:02:37 UTC
arts is a dependancy of xmms -- EPEL Bug 1123220
xmms is a dependancy of faad2 - RPMFusion Bug 3302
faad2 is a dependancy of gpac - RPMFusion Bug 3300
gpac is a dependancy of x264 - RPMFusion Bug 3301
x264 is a dependancy of ffmpeg - RPMFusion Bug 3310

and ffmpeg is used in vlc, mythtv and several popular video packages.
so unless there is a rework of specs and builds in RPMFusion arts will be in demand.

I compelted test builds of mythtv, vlc, kdenlive and ffmpeg on july 24th and started filing bugs for all packages used which I had to rebuild from fc20 sources, but not branched to EPEL7.

arts was one such package.  Hence the bug.

Comment 3 Kevin Kofler 2014-07-29 09:17:29 UTC
Both xmms and arts are obsolescent. It should be possible to build faad2 without xmms support, or if you really want to build xmms, to build xmms without arts support. In fact, given that xmms supports plenty of other sound outputs, there's no point in still compiling it against arts at all (even on Fedora). There is no environment natively running aRts anymore, the only reason we keep it available in Fedora at all is that there is software that requires aRts to produce any sound or even to build at all. This is not the case for xmms.

Comment 4 Robert Lightfoot 2014-07-29 09:39:33 UTC
In that case - let's close this bug and let the faad2 devs build it without arts/xmms.  AS I said I was using the default f20 src.rpms and they require it.


Note You need to log in before you can comment on or make changes to this bug.